package filter

type ResampleFilter struct {
	sampleRate int
	quality    ResampleQuality
	blockSize  int
}

type ResampleQuality int

func NewResampleFilter(sampleRate int, quality ResampleQuality, blockSize int) ResampleFilter {
	if blockSize == 0 {
		blockSize = 1024 * 64
	}
	return ResampleFilter{
		sampleRate: sampleRate,
		quality:    quality,
		blockSize:  blockSize,
	}
}
