package test

import (
	"os"
	"path"
	"runtime"
)

var TestSampleLocations = []string{
	"resources/samples/cYsmix - Haunted House/",
	"resources/samples/Babbe Music - RADIANT DANCEFLOOR/",
}

func init() {
	_, filename, _, _ := runtime.Caller(0)
	// The ".." may change depending on you folder structure
	dir := path.Join(path.Dir(filename), "..")
	err := os.Chdir(dir)
	if err != nil {
		panic(err)
	}
}

const TestSingleSample24 = "resources/samples/cYsmix - Haunted House/11. The Great Rigid Desert.flac"

const TestSingleSample16 = "resources/samples/Babbe Music - RADIANT DANCEFLOOR/01. ENTER.flac"
const TestSingleSample16TTA = "resources/samples/Babbe Music - RADIANT DANCEFLOOR/01. ENTER.tta"
const TestSingleSampleAACMP4 = "resources/aac.m4a"
const TestSingleSampleALACMP4 = "resources/alac.m4a"
